_EVENMOAR/USERS/DANIELRES/enki/config/routes.rb
Enki::Application.routes.draw do
  namespace :admin do
    resource :session

    resources :posts, :pages do
      post 'preview', :on => :collection
    end
    resources :comments
    resources :undo_items do
      post 'undo', :on => :member
    end

    match 'health(/:action)' => 'health', :action => 'index', :as => :health

    root :to => 'dashboard#show'
  end

  resources :archives, :only => [:index]
  resources :pages, :only => [:show]

  constraints :year => /\d{4}/, :month => /\d{2}/, :day => /\d{2}/ do
    get ':year/:month/:day/:slug/comments'  => 'comments#index'
    post ':year/:month/:day/:slug/comments' => 'comments#create'
    get ':year/:month/:day/:slug/comments/new' => 'comments#new'
    get ':year/:month/:day/:slug' => 'posts#show'
  end

  scope :to => 'posts#index' do
    get 'posts.:format', :as => :formatted_posts
    get '(:tag)', :as => :posts
  end

  root :to => 'posts#index'
end

_EVENMOAR/USERS/DANIELRES/enki/app/controllers/admin/dashboard_controller.rb
class Admin::DashboardController < Admin::BaseController
  def show
    @posts            = Post.find_recent(:limit => 8)
    @comment_activity = CommentActivity.find_recent
    @stats            = Stats.new
  end
end

_EVENMOAR/USERS/DANIELRES/enki/app/views/admin/dashboard/show.html.erb
<div id="summary">
<h1><%= link_to(enki_config[:title], '/') %></h1>
<p class="stats"><%= pluralize(@stats.post_count, 'post') %>, <%= pluralize(@stats.comment_count, 'comment') %>, <%= pluralize(@stats.tag_count, 'tag') %></p>
</div>

<div id="recent-posts" class="panel">
<h2>Latest Posts</h2>
<ul>
  <% @posts.each_with_index do |post, i| -%>
    <li class="<%= i == 0 ? 'first ' : '' %>item">
      <h3><%= link_to(truncate(post.title, :length => 50), admin_post_path(post)) %></h3>
      <span class='date'><%= post.published_at.strftime("%b %e") %></span>
      <span class='count'><%= link_to(post.approved_comments.size, post_path(post)) %></span>
    </li>
  <% end -%>
</ul>
</div>

<div id="recent-comments" class="panel">
<h2>Latest Comments</h2>
<ul>
  <% @comment_activity.each_with_index do |activity, i| -%>
    <li class="<%= i == 0 ? 'first ' : '' %>item">
      <h3><%= link_to(truncate(activity.post.title, :length => 50), post_path(activity.post)) %></h3>
      <span class='date'><%= activity.most_recent_comment.created_at.strftime("%b %e") %></span>
      <span class='count'><%= activity.post.approved_comments.size %></span>
      <ul>
        <% activity.comments.each_with_index do |comment, index| -%>
          <%= content_tag :li, :class => activity.comments.size == index + 1 ? 'last' : nil do -%>
            <%= link_to(comment.author, admin_comment_path(comment), {:id => "comment-link-#{comment.id}", :class => 'comment-link'}) -%>
          <% end -%>
        <% end -%>
      </ul>
      <% activity.comments.each do |comment| -%>
        <div class='comment-body' id='comment-body-<%= comment.id %>'>
          <div class='comment-actions'>
            <%= link_to(image_tag('silk/pencil.png', :alt => 'edit'), admin_comment_path(comment)) %>
            <%= form_for(comment, :as => :comment, :url => admin_comment_path(comment), :html => {:class => 'delete-item', :id => "delete-comment-#{comment.id}", :method => :delete}) do |form| -%>
              <%= image_submit_tag("silk/delete.png", :alt => 'Delete Comment') %>
            <% end -%>
          </div>
          <%= comment.body_html %>
        </div>
      <% end -%>
    </li>
  <% end -%>
</ul>
</div>